Subject: Re: bug#31294: Failed building dependencies for guix.

From: Fis Trivial <[email-masked]>
Date: Mon, 30 Apr 2018 00:24:18 +0000

Ludovic Courtès writes:

> Hi,
>
> Fis Trivial <[email-masked]> skribis:
>
>> Use following steps to reproduce:
>> $ env -i bash --norc --noprofile --login
>> $ guix environment guix
>>
>> Error message:
>>
>> The following derivations will be built:
>>    /gnu/store/c53mj37x2dnrgmrpagpv9l5c2ghly2hy-profile.drv
>>    /gnu/store/vpvx01j2qs31lfix131n1akwdjwf5s4z-xdg-desktop-database.drv
>>    /gnu/store/hr8xa2inki6lfbn8v9jfgmygbxygszs2-xdg-mime-database.drv
>>    /gnu/store/5y6mkv079xq5hnfajxfwky0kfc6ffy3p-info-dir.drv
>>    /gnu/store/95glrzk2y6p6b3z7hlmdignzzvxjvi2r-manual-database.drv
>> Backtrace:
>>           10 (primitive-load "/gnu/store/mpy5w5gprs1ymrl3kwhqwr2jvnk?")
>> In ice-9/eval.scm:
>>    721:20  9 (primitive-eval (begin (use-modules (guix build #) ?) ?))
>> In ice-9/psyntax.scm:
>>   1235:36  8 (expand-top-sequence ((begin (use-modules (# # ?) ?) ?)) ?)
>>   1182:24  7 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>   1182:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>    285:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) ?)
>> In ice-9/boot-9.scm:
>>   3365:20  4 (process-use-modules _)
>>    222:17  3 (map1 (((guix build utils)) ((srfi srfi-1)) ((srfi ?)) ?))
>>   3366:31  2 (_ ((guix build utils)))
>>    2791:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ ?)
>> In unknown file:
>>            0 (scm-error misc-error #f "~A ~S" ("no code for modu?" ?) ?)
>>
>> ERROR: In procedure scm-error:
>> no code for module (guix build utils)
>> builder for `/gnu/store/5y6mkv079xq5hnfajxfwky0kfc6ffy3p-info-dir.drv' failed with exit code 1
>
> This looks like <https://bugs.gnu.org/28144>, which we don’t understand
> yet.
>
> (Most likely changing the Bash environment just led you to ignore
> ~/.config/guix/latest (or vice versa), thereby leading you to use a
> different set of Guix compiled modules.)
>
> Could you paste /gnu/store/5y6mkv079xq5hnfajxfwky0kfc6ffy3p-info-dir.drv ?
>

> Also, could you post ~/.config/guix/latest/guix/profiles.go and
> /run/current-system/profile/lib/guile/2.2/site-ccache/guix/profiles.go ?
> (Perhaps you’ll need to gzip them to be sure.)
>

I couldn't find
/run/current-system/profile/lib/guile/2.2/site-ccache/guix/profiles.go
you are talking about, I did `find . -iname "profiles.go"` in /run/ as
root but didn't find the file you are talking about, not even the
directory "current-system". But ~/.config/guix/latest/guix/profiles.go
is attached in the mail.